Index: squid/src/defines.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/defines.h,v
retrieving revision 1.1.1.3.4.2.2.2
retrieving revision 1.1.1.3.4.2.2.2.2.1
diff -u -r1.1.1.3.4.2.2.2 -r1.1.1.3.4.2.2.2.2.1
--- squid/src/defines.h	14 Jun 2001 20:36:15 -0000	1.1.1.3.4.2.2.2
+++ squid/src/defines.h	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.2.2.2.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: defines.h,v 1.1.1.3.4.2.2.2 2001/06/14 20:36:15 serassio Exp $
+ * $Id: defines.h,v 1.1.1.3.4.2.2.2.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -240,28 +239,18 @@
 /*
  * Max number of ICP messages to receive per call to icpHandleUdp
  */
-#ifdef _SQUID_MSWIN_
-#define INCOMING_ICP_MAX 1
-#else
 #define INCOMING_ICP_MAX 15
-#endif
+
 /*
  * Max number of DNS messages to receive per call to DNS read handler
  */
-#ifdef _SQUID_MSWIN_
-#define INCOMING_DNS_MAX 1
-#else
 #define INCOMING_DNS_MAX 15
-#endif
+
 /*
  * Max number of HTTP connections to accept per call to httpAccept
  * and PER HTTP PORT
  */
-#ifdef _SQUID_MSWIN_
-#define INCOMING_HTTP_MAX 1
-#else
 #define INCOMING_HTTP_MAX 10
-#endif
 #define INCOMING_TOTAL_MAX (INCOMING_ICP_MAX+INCOMING_HTTP_MAX)
 
 /*
@@ -307,13 +296,4 @@
 #define _WIN_SQUID_SERVICE_OPTION		"--ntservice"
 #define _WIN_SQUID_RUN_MODE_INTERACTIVE		0
 #define _WIN_SQUID_RUN_MODE_SERVICE		1
-#ifdef _SQUID_MSWIN_
-#define	SIGHUP	1	/* hangup */
-#define	SIGKILL	9	/* kill (cannot be caught or ignored) */
-#define	SIGBUS	10	/* bus error */
-#define	SIGPIPE	13	/* write on a pipe with no one to read it */
-#define	SIGCHLD	20	/* to parent on child stop or exit */
-#define SIGUSR1 30	/* user defined signal 1 */
-#define SIGUSR2 31	/* user defined signal 2 */
-#endif
 #endif
Index: squid/src/delay_pools.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/delay_pools.c,v
retrieving revision 1.1.1.3.4.2.2.1
retrieving revision 1.1.1.3.4.2.2.1.2.1
diff -u -r1.1.1.3.4.2.2.1 -r1.1.1.3.4.2.2.1.2.1
--- squid/src/delay_pools.c	6 Jan 2001 12:40:13 -0000	1.1.1.3.4.2.2.1
+++ squid/src/delay_pools.c	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.2.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: delay_pools.c,v 1.1.1.3.4.2.2.1 2001/01/06 12:40:13 hno Exp $
+ * $Id: delay_pools.c,v 1.1.1.3.4.2.2.1.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: David Luyer <luyer@ucs.uwa.edu.au>
@@ -38,14 +37,16 @@
 #if DELAY_POOLS
 #include "squid.h"
 
-struct _class1DelayPool {
+struct _class1DelayPool
+{
     int class;
     int aggregate;
 };
 
 #define IND_MAP_SZ 256
 
-struct _class2DelayPool {
+struct _class2DelayPool
+{
     int class;
     int aggregate;
     /* OK: -1 is terminator.  individual[255] is always host 255. */
@@ -59,7 +60,8 @@
 #define NET_MAP_SZ 256
 #define C3_IND_SZ (NET_MAP_SZ*IND_MAP_SZ)
 
-struct _class3DelayPool {
+struct _class3DelayPool
+{
     int class;
     int aggregate;
     /* OK: -1 is terminator.  network[255] is always host 255. */
@@ -80,7 +82,8 @@
 typedef struct _class2DelayPool class2DelayPool;
 typedef struct _class3DelayPool class3DelayPool;
 
-union _delayPool {
+union _delayPool
+{
     class1DelayPool *class1;
     class2DelayPool *class2;
     class3DelayPool *class3;
@@ -304,8 +307,7 @@
     return (pool << 16) | position;
 }
 
-delay_id
-delayClient(request_t * r)
+delay_id delayClient(request_t * r)
 {
     aclCheck_t ch;
     int i;
@@ -320,7 +322,8 @@
     ch.my_port = r->my_port;
     ch.request = r;
     if (r->client_addr.s_addr == INADDR_BROADCAST) {
-	debug(77, 2) ("delayClient: WARNING: Called with 'allones' address, ignoring\n");
+	debug(77, 2)
+	    ("delayClient: WARNING: Called with 'allones' address, ignoring\n");
 	return delayId(0, 0);
     }
     for (pool = 0; pool < Config.Delay.pools; pool++) {
@@ -391,8 +394,10 @@
     position = i << 8;
     if (host == 255) {
 	position |= 255;
-	if (!(delay_data[pool].class3->individual_255_used[i / 8] & (1 << (i % 8)))) {
-	    delay_data[pool].class3->individual_255_used[i / 8] |= (1 << (i % 8));
+	if (!(delay_data[pool].class3->individual_255_used[i / 8] & (1 << (i %
+			8)))) {
+	    delay_data[pool].class3->individual_255_used[i / 8] |=
+		(1 << (i % 8));
 	    assert(position < C3_IND_SZ);
 	    delay_data[pool].class3->individual[position] =
 		(Config.Delay.rates[pool]->individual.max_bytes *
@@ -430,7 +435,7 @@
     if (rates->aggregate.restore_bps != -1 &&
 	(class1->aggregate += rates->aggregate.restore_bps * incr) >
 	rates->aggregate.max_bytes)
-	class1->aggregate = rates->aggregate.max_bytes;
+	    class1->aggregate = rates->aggregate.max_bytes;
 }
 
 static void
@@ -444,7 +449,7 @@
     if (rates->aggregate.restore_bps != -1 &&
 	(class2->aggregate += rates->aggregate.restore_bps * incr) >
 	rates->aggregate.max_bytes)
-	class2->aggregate = rates->aggregate.max_bytes;
+	    class2->aggregate = rates->aggregate.max_bytes;
     if ((restore_bytes = rates->individual.restore_bps) == -1)
 	return;
     restore_bytes *= incr;
@@ -457,8 +462,10 @@
 	if (i != 255 && class2->individual_map[i] == 255)
 	    return;
 	if (class2->individual[i] != rates->individual.max_bytes &&
-	    (class2->individual[i] += restore_bytes) > rates->individual.max_bytes)
-	    class2->individual[i] = rates->individual.max_bytes;
+	    (class2->individual[i] +=
+		restore_bytes) >
+	    rates->individual.max_bytes) class2->individual[i] =
+		rates->individual.max_bytes;
 	if (++i == (IND_MAP_SZ - 1))
 	    return;
     }
@@ -477,7 +484,7 @@
     if (rates->aggregate.restore_bps != -1 &&
 	(class3->aggregate += rates->aggregate.restore_bps * incr) >
 	rates->aggregate.max_bytes)
-	class3->aggregate = rates->aggregate.max_bytes;
+	    class3->aggregate = rates->aggregate.max_bytes;
     /* the following line deliberately uses &, not &&, in an if statement
      * to avoid conditional execution
      */
@@ -486,14 +493,18 @@
 	return;
     individual_restore_bytes *= incr;
     network_restore_bytes *= incr;
-    for (i = 0; i < ((class3->network_255_used) ? NET_MAP_SZ : NET_MAP_SZ - 1); ++i) {
+    for (i = 0; i < ((class3->network_255_used) ? NET_MAP_SZ : NET_MAP_SZ - 1);
+	++i) {
 	assert(i < NET_MAP_SZ);
 	if (i != 255 && class3->network_map[i] == 255)
 	    return;
 	if (individual_restore_bytes != -incr) {
 	    mpos = i << 8;
-	    individual_255_used = class3->individual_255_used[i / 8] & (1 << (i % 8));
-	    for (j = 0; j < ((individual_255_used) ? IND_MAP_SZ : IND_MAP_SZ - 1); ++j, ++mpos) {
+	    individual_255_used =
+		class3->individual_255_used[i / 8] & (1 << (i % 8));
+	    for (j = 0;
+		j < ((individual_255_used) ? IND_MAP_SZ : IND_MAP_SZ - 1);
+		++j, ++mpos) {
 		assert(i < NET_MAP_SZ);
 		assert(j < IND_MAP_SZ);
 		if (j != 255 && class3->individual_map[i][j] == 255)
@@ -502,14 +513,14 @@
 		if (class3->individual[mpos] != rates->individual.max_bytes &&
 		    (class3->individual[mpos] += individual_restore_bytes) >
 		    rates->individual.max_bytes)
-		    class3->individual[mpos] = rates->individual.max_bytes;
+			class3->individual[mpos] = rates->individual.max_bytes;
 	    }
 	}
 	if (network_restore_bytes != -incr &&
 	    class3->network[i] != rates->network.max_bytes &&
 	    (class3->network[i] += network_restore_bytes) >
 	    rates->network.max_bytes)
-	    class3->network[i] = rates->network.max_bytes;
+		class3->network[i] = rates->network.max_bytes;
     }
 }
 
@@ -531,13 +542,16 @@
 	    continue;
 	switch (class) {
 	case 1:
-	    delayUpdateClass1(delay_data[i].class1, Config.Delay.rates[i], incr);
+	    delayUpdateClass1(delay_data[i].class1, Config.Delay.rates[i],
+		incr);
 	    break;
 	case 2:
-	    delayUpdateClass2(delay_data[i].class2, Config.Delay.rates[i], incr);
+	    delayUpdateClass2(delay_data[i].class2, Config.Delay.rates[i],
+		incr);
 	    break;
 	case 3:
-	    delayUpdateClass3(delay_data[i].class3, Config.Delay.rates[i], incr);
+	    delayUpdateClass3(delay_data[i].class3, Config.Delay.rates[i],
+		incr);
 	    break;
 	default:
 	    assert(0);
@@ -570,16 +584,19 @@
 	if (Config.Delay.rates[pool]->aggregate.restore_bps != -1)
 	    nbytes = XMIN(nbytes, delay_data[pool].class2->aggregate);
 	if (Config.Delay.rates[pool]->individual.restore_bps != -1)
-	    nbytes = XMIN(nbytes, delay_data[pool].class2->individual[position]);
+	    nbytes =
+		XMIN(nbytes, delay_data[pool].class2->individual[position]);
 	break;
 
     case 3:
 	if (Config.Delay.rates[pool]->aggregate.restore_bps != -1)
 	    nbytes = XMIN(nbytes, delay_data[pool].class3->aggregate);
 	if (Config.Delay.rates[pool]->individual.restore_bps != -1)
-	    nbytes = XMIN(nbytes, delay_data[pool].class3->individual[position]);
+	    nbytes =
+		XMIN(nbytes, delay_data[pool].class3->individual[position]);
 	if (Config.Delay.rates[pool]->network.restore_bps != -1)
-	    nbytes = XMIN(nbytes, delay_data[pool].class3->network[position >> 8]);
+	    nbytes =
+		XMIN(nbytes, delay_data[pool].class3->network[position >> 8]);
 	break;
 
     default:
@@ -640,8 +657,7 @@
     return found ? i : max;
 }
 
-delay_id
-delayMostBytesAllowed(const MemObject * mem)
+delay_id delayMostBytesAllowed(const MemObject * mem)
 {
     int j;
     int jmax = -1;
@@ -774,7 +790,8 @@
     for (i = 0; i < NET_MAP_SZ; i++) {
 	if (class3->network_map[i] == 255)
 	    break;
-	storeAppendPrintf(sentry, "\t\tCurrent [Network %d]: ", class3->network_map[i]);
+	storeAppendPrintf(sentry, "\t\tCurrent [Network %d]: ",
+	    class3->network_map[i]);
 	shown = 1;
 	for (j = 0; j < IND_MAP_SZ; j++) {
 	    if (class3->individual_map[i][j] == 255)
@@ -783,7 +800,8 @@
 		class3->individual[(i << 8) | j]);
 	}
 	if (class3->individual_255_used[i / 8] & (1 << (i % 8))) {
-	    storeAppendPrintf(sentry, "%d:%d ", 255, class3->individual[(i << 8) | 255]);
+	    storeAppendPrintf(sentry, "%d:%d ", 255,
+		class3->individual[(i << 8) | 255]);
 	}
 	storeAppendPrintf(sentry, "\n");
     }
@@ -797,12 +815,14 @@
 		class3->individual[(255 << 8) | j]);
 	}
 	if (class3->individual_255_used[255 / 8] & (1 << (255 % 8))) {
-	    storeAppendPrintf(sentry, "%d:%d ", 255, class3->individual[(255 << 8) | 255]);
+	    storeAppendPrintf(sentry, "%d:%d ", 255,
+		class3->individual[(255 << 8) | 255]);
 	}
 	storeAppendPrintf(sentry, "\n");
     }
     if (!shown)
-	storeAppendPrintf(sentry, "\t\tCurrent [All networks]: Not used yet.\n");
+	storeAppendPrintf(sentry,
+	    "\t\tCurrent [All networks]: Not used yet.\n");
     storeAppendPrintf(sentry, "\n");
 }
 
@@ -811,7 +831,8 @@
 {
     unsigned short i;
 
-    storeAppendPrintf(sentry, "Delay pools configured: %d\n\n", Config.Delay.pools);
+    storeAppendPrintf(sentry, "Delay pools configured: %d\n\n",
+	Config.Delay.pools);
     for (i = 0; i < Config.Delay.pools; i++) {
 	switch (Config.Delay.class[i]) {
 	case 0:
Index: squid/src/disk.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/disk.c,v
retrieving revision 1.1.1.3.4.1.2.6
retrieving revision 1.1.1.3.4.1.2.6.2.1
diff -u -r1.1.1.3.4.1.2.6 -r1.1.1.3.4.1.2.6.2.1
--- squid/src/disk.c	28 Jul 2001 10:18:13 -0000	1.1.1.3.4.1.2.6
+++ squid/src/disk.c	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.1.2.6.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: disk.c,v 1.1.1.3.4.1.2.6 2001/07/28 10:18:13 serassio Exp $
+ * $Id: disk.c,v 1.1.1.3.4.1.2.6.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 6     Disk I/O Routines
  * AUTHOR: Harvest Derived
@@ -60,25 +59,24 @@
 file_open(const char *path, int mode)
 {
     int fd;
-#ifdef _SQUID_MSWIN_ 
-	char fmode[4]="";
-	FILE * fbuf;
+#ifdef _SQUID_MSWIN_
+    char fmode[4] = "";
+    FILE *fbuf;
 #endif
 
     if (mode & O_WRONLY)
 	mode |= O_APPEND;
-#ifdef _SQUID_MSWIN_ 
+#ifdef _SQUID_MSWIN_
     mode |= _O_BINARY;
     errno = 0;
     if (mode & O_WRONLY) {
 	if (mode & O_TRUNC)
-	    strcpy(fmode,"wb");
+	    strcpy(fmode, "wb");
 	else
-    	    strcpy(fmode,"a+b");
-	}
-	else
-	    strcpy(fmode,"rb");
-	fbuf=fopen(path,fmode);
+	    strcpy(fmode, "a+b");
+    } else
+	strcpy(fmode, "rb");
+    fbuf = fopen(path, fmode);
     fd = (fbuf != NULL) ? fileno(fbuf) : -1;
 #else
     mode |= SQUID_NONBLOCK;
@@ -91,8 +89,8 @@
 	    xstrerror());
 	fd = DISK_ERROR;
     } else {
-#ifdef _SQUID_MSWIN_ 
-	fd_table[fd].fbuf=fbuf;
+#ifdef _SQUID_MSWIN_
+	fd_table[fd].fbuf = fbuf;
 #endif
 	debug(6, 5) ("file_open: FD %d\n", fd);
 	commSetCloseOnExec(fd);
@@ -141,9 +139,11 @@
     fsync(fd);
 #endif
 #ifdef _SQUID_MSWIN_
-    fbuf=fd_table[fd].fbuf;
-    if (fbuf==NULL) close(fd);
-	else fclose(fbuf);
+    fbuf = fd_table[fd].fbuf;
+    if (fbuf == NULL)
+	close(fd);
+    else
+	fclose(fbuf);
 #else
     close(fd);
 #endif
@@ -220,8 +220,8 @@
 	fd, (int) (fdd->write_q->len - fdd->write_q->buf_offset));
     errno = 0;
 #ifdef _SQUID_MSWIN_
-    len = fwrite(fdd->write_q->buf + fdd->write_q->buf_offset,1,
-	fdd->write_q->len - fdd->write_q->buf_offset,fd_table[fd].fbuf);
+    len = fwrite(fdd->write_q->buf + fdd->write_q->buf_offset, 1,
+	fdd->write_q->len - fdd->write_q->buf_offset, fd_table[fd].fbuf);
 #else
     len = write(fd,
 	fdd->write_q->buf + fdd->write_q->buf_offset,
@@ -268,7 +268,10 @@
 	/* q might become NULL from write failure above */
 	q->buf_offset += len;
 	if (q->buf_offset > q->len)
-	    debug(50, 1) ("diskHandleWriteComplete: q->buf_offset > q->len (%p,%d, %d, %d FD %d)\n",
+	    debug(50, 1)
+
+		
+		("diskHandleWriteComplete: q->buf_offset > q->len (%p,%d, %d, %d FD %d)\n",
 		q, (int) q->buf_offset, q->len, len, fd);
 	assert(q->buf_offset <= q->len);
 	if (q->buf_offset == q->len) {
@@ -320,10 +323,7 @@
 file_write(int fd,
     off_t file_offset,
     void *ptr_to_buf,
-    int len,
-    DWCB * handle,
-    void *handle_data,
-    FREE * free_func)
+    int len, DWCB * handle, void *handle_data, FREE * free_func)
 {
     dwrite_q *wq = NULL;
     fde *F = &fd_table[fd];
@@ -358,9 +358,11 @@
  * in a snap
  */
 void
-file_write_mbuf(int fd, off_t off, MemBuf mb, DWCB * handler, void *handler_data)
+file_write_mbuf(int fd, off_t off, MemBuf mb, DWCB * handler,
+    void *handler_data)
 {
-    file_write(fd, off, mb.buf, mb.size, handler, handler_data, memBufFreeFunc(&mb));
+    file_write(fd, off, mb.buf, mb.size, handler, handler_data,
+	memBufFreeFunc(&mb));
 }
 
 /* Read from FD */
@@ -419,7 +421,8 @@
  * It must have at least req_len space in there. 
  * call handler when a reading is complete. */
 void
-file_read(int fd, char *buf, int req_len, off_t offset, DRCB * handler, void *client_data)
+file_read(int fd, char *buf, int req_len, off_t offset, DRCB * handler,
+    void *client_data)
 {
     dread_ctrl *ctrl_dat;
     assert(fd >= 0);
@@ -434,26 +437,3 @@
     cbdataLock(client_data);
     diskHandleRead(fd, ctrl_dat);
 }
-
-#ifdef _SQUID_MSWIN_
-int
-ignoreErrno(int ierrno)
-{
-    switch (ierrno) {
-    case EINPROGRESS:
-    case EWOULDBLOCK:
-#if EAGAIN != EWOULDBLOCK
-    case EAGAIN:
-#endif
-    case EALREADY:
-    case EINTR:
-#ifdef ERESTART
-    case ERESTART:
-#endif
-	return 1;
-    default:
-	return 0;
-    }
-    /* NOTREACHED */
-}
-#endif
Index: squid/src/dns.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/dns.c,v
retrieving revision 1.1.1.3.4.1.2.2
retrieving revision 1.1.1.3.4.1.2.2.2.1
diff -u -r1.1.1.3.4.1.2.2 -r1.1.1.3.4.1.2.2.2.1
--- squid/src/dns.c	14 Jun 2001 21:34:24 -0000	1.1.1.3.4.1.2.2
+++ squid/src/dns.c	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.1.2.2.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: dns.c,v 1.1.1.3.4.1.2.2 2001/06/14 21:34:24 serassio Exp $
+ * $Id: dns.c,v 1.1.1.3.4.1.2.2.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 34    Dnsserver interface
  * AUTHOR: Harvest Derived
@@ -35,40 +34,14 @@
 
 #include "squid.h"
 
-#ifdef _SQUID_MSWIN_
-typedef int ( * PFDNSLookup)(const char *, void *, HLPCB);
-typedef int ( * PFInit)();
-
-typedef struct {
-	HINSTANCE hnd;
-	PFDNSLookup DNSLookup;
-	PFInit Init;
-	struct {
-		int requests;
-		int replies;
-		int queue_size;
-		int avg_svc_time;
-	} stats;
-} DNSPlugin;
-
-static DNSPlugin *dnsservers = NULL;
-#else
 static helper *dnsservers = NULL;
-#endif
 #if USE_DNSSERVERS
 
 static void
 dnsStats(StoreEntry * sentry)
 {
     storeAppendPrintf(sentry, "Dnsserver Statistics:\n");
-#ifdef _SQUID_MSWIN_
-    storeAppendPrintf(sentry, "requests sent: %d\n",
-	dnsservers->stats.requests);
-    storeAppendPrintf(sentry, "replies received: %d\n",
-	dnsservers->stats.replies);
-#else
     helperStats(sentry, dnsservers);
-#endif
 }
 
 #endif
@@ -78,44 +51,10 @@
 {
 #if USE_DNSSERVERS
     static int init = 0;
-#ifndef _SQUID_MSWIN_
     wordlist *w;
-#endif
 
     if (!Config.Program.dnsserver)
 	return;
-#ifdef _SQUID_MSWIN_
-    if (dnsservers == NULL)
-	dnsservers = xmalloc(sizeof(DNSPlugin));
-    debug(34, 0) ("dnsInit: Loading %s\n", Config.Program.dnsserver);
-    dnsservers->hnd = LoadLibrary(Config.Program.dnsserver);
-    if (dnsservers->hnd == NULL) {
-	debug(34, 0) ("dnsInit: Unable to load %s\n", Config.Program.dnsserver);
-	xfree(dnsservers);
-	Config.Program.dnsserver = 0;
-	return;
-    }
-    dnsservers->DNSLookup = (PFDNSLookup)GetProcAddress(dnsservers->hnd,"DNSLookup");
-    if (dnsservers->DNSLookup == NULL) {
-	debug(34, 0) ("dnsInit: Invalid DNS plugin %s\n", Config.Program.dnsserver);
-	FreeLibrary(dnsservers->hnd);
-	xfree(dnsservers);
-	Config.Program.dnsserver = NULL;
-	return;
-    }
-    dnsservers->Init = (PFInit)GetProcAddress(dnsservers->hnd,"Init");
-    if (dnsservers->Init == NULL) {
-	debug(34, 0) ("dnsInit: Invalid DNS plugin %s\n", Config.Program.dnsserver);
-		FreeLibrary(dnsservers->hnd);
-		xfree(dnsservers);
-		Config.Program.dnsserver = NULL;
-		return;
-	}
-    debug(34, 0) ("dnsInit: Initializing DNS plugin\n");
-    dnsservers->Init();		
-    dnsservers->stats.requests=0;
-    dnsservers->stats.replies=0;
-#else
     if (dnsservers == NULL)
 	dnsservers = helperCreate("dnsserver");
     dnsservers->n_to_start = Config.dnsChildren;
@@ -129,11 +68,8 @@
 	wordlistAdd(&dnsservers->cmdline, w->key);
     }
     helperOpenServers(dnsservers);
-#endif
     if (!init) {
-	cachemgrRegister("dns",
-	    "Dnsserver Statistics",
-	    dnsStats, 0, 1);
+	cachemgrRegister("dns", "Dnsserver Statistics", dnsStats, 0, 1);
 	init = 1;
     }
 #endif
@@ -144,31 +80,20 @@
 {
     if (!dnsservers)
 	return;
-#ifdef _SQUID_MSWIN_
-    FreeLibrary(dnsservers->hnd);
-    xfree(dnsservers);
-#else
     helperShutdown(dnsservers);
     wordlistDestroy(&dnsservers->cmdline);
     if (!shutting_down)
 	return;
     helperFree(dnsservers);
-#endif
     dnsservers = NULL;
 }
 
 void
 dnsSubmit(const char *lookup, HLPCB * callback, void *data)
 {
-#ifdef _SQUID_MSWIN_
-	dnsservers->stats.requests++;
-	dnsservers->DNSLookup(lookup, data, callback);
-	dnsservers->stats.replies++;
-#else
     char buf[256];
     snprintf(buf, 256, "%s\n", lookup);
     helperSubmit(dnsservers, buf, callback, data);
-#endif
 }
 
 #ifdef SQUID_SNMP
@@ -179,25 +104,23 @@
 snmp_netDnsFn(variable_list * Var, snint * ErrP)
 {
     variable_list *Answer = NULL;
-    debug(49, 5) ("snmp_netDnsFn: Processing request:\n", Var->name[LEN_SQ_NET + 1]);
+    debug(49, 5) ("snmp_netDnsFn: Processing request:\n",
+	Var->name[LEN_SQ_NET + 1]);
     snmpDebugOid(5, Var->name, Var->name_length);
     *ErrP = SNMP_ERR_NOERROR;
 #if USE_DNSSERVERS
     switch (Var->name[LEN_SQ_NET + 1]) {
     case DNS_REQ:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    dnsservers->stats.requests,
-	    SMI_COUNTER32);
+	    dnsservers->stats.requests, SMI_COUNTER32);
 	break;
     case DNS_REP:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    dnsservers->stats.replies,
-	    SMI_COUNTER32);
+	    dnsservers->stats.replies, SMI_COUNTER32);
 	break;
     case DNS_SERVERS:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    dnsservers->n_running,
-	    SMI_COUNTER32);
+	    dnsservers->n_running, SMI_COUNTER32);
 	break;
     default:
 	*ErrP = SNMP_ERR_NOSUCHNAME;
@@ -205,8 +128,7 @@
     }
 #else
     Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	0,
-	SMI_COUNTER32);
+	0, SMI_COUNTER32);
 #endif
     return Answer;
 }
Index: squid/src/dns_internal.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/dns_internal.c,v
retrieving revision 1.1.1.1.4.6.2.3
retrieving revision 1.1.1.1.4.6.2.3.2.1
diff -u -r1.1.1.1.4.6.2.3 -r1.1.1.1.4.6.2.3.2.1
--- squid/src/dns_internal.c	29 Jul 2001 09:10:28 -0000	1.1.1.1.4.6.2.3
+++ squid/src/dns_internal.c	27 Aug 2001 21:48:20 -0000	1.1.1.1.4.6.2.3.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: dns_internal.c,v 1.1.1.1.4.6.2.3 2001/07/29 09:10:28 serassio Exp $
+ * $Id: dns_internal.c,v 1.1.1.1.4.6.2.3.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 78    DNS lookups; interacts with lib/rfc1035.c
  * AUTHOR: Duane Wessels
@@ -58,7 +57,8 @@
 typedef struct _idns_query idns_query;
 typedef struct _ns ns;
 
-struct _idns_query {
+struct _idns_query
+{
     char buf[512];
     size_t sz;
     unsigned short id;
@@ -71,7 +71,8 @@
     int attempt;
 };
 
-struct _ns {
+struct _ns
+{
     struct sockaddr_in S;
     int nqueries;
     int nreplies;
@@ -105,7 +106,11 @@
 {
     struct in_addr A;
     if (!safe_inet_addr(buf, &A)) {
-	debug(78, 0) ("WARNING: rejecting '%s' as a name server, because it is not a numeric IP address\n", buf);
+	debug(78, 0)
+
+	    
+	    ("WARNING: rejecting '%s' as a name server, because it is not a numeric IP address\n",
+	    buf);
 	return;
     }
     if (nns == nns_alloc) {
@@ -340,8 +345,7 @@
     for (i = 0; i < nns; i++) {
 	storeAppendPrintf(sentry, "%-15s %9d %9d\n",
 	    inet_ntoa(nameservers[i].S.sin_addr),
-	    nameservers[i].nqueries,
-	    nameservers[i].nreplies);
+	    nameservers[i].nqueries, nameservers[i].nreplies);
     }
     storeAppendPrintf(sentry, "\nRcode Matrix:\n");
     storeAppendPrintf(sentry, "RCODE");
@@ -382,17 +386,10 @@
     assert(q->lru.prev == NULL);
     ns = q->nsends % nns;
     x = comm_udp_sendto(DnsSocket,
-	&nameservers[ns].S,
-	sizeof(nameservers[ns].S),
-	q->buf,
-	q->sz);
+	&nameservers[ns].S, sizeof(nameservers[ns].S), q->buf, q->sz);
     if (x < 0) {
 	debug(50, 1) ("idnsSendQuery: FD %d: sendto: %s\n",
-#ifdef _SQUID_MSWIN_
-	    DnsSocket, wsastrerror(errno));
-#else
 	    DnsSocket, xstrerror());
-#endif
     } else {
 	fd_bytes(DnsSocket, x, FD_WRITE);
 	commSetSelect(DnsSocket, COMM_SELECT_READ, idnsRead, NULL, 0);
@@ -439,10 +436,7 @@
     rfc1035_rr *answers = NULL;
     unsigned short rid = 0xFFFF;
     idns_query *q;
-    n = rfc1035AnswersUnpack(buf,
-	sz,
-	&answers,
-	&rid);
+    n = rfc1035AnswersUnpack(buf, sz, &answers, &rid);
     debug(78, 3) ("idnsGrokReply: ID %#hx, %d answers\n", rid, n);
     if (rid == 0xFFFF) {
 	debug(78, 1) ("idnsGrokReply: Unknown error\n");
@@ -508,19 +502,13 @@
 	    if (errno != ECONNREFUSED && errno != EHOSTUNREACH)
 #endif
 		debug(50, 1) ("idnsRead: FD %d recvfrom: %s\n",
-#ifdef _SQUID_MSWIN_
-		    fd, wsastrerror(WSAGetLastError()));
-#else
 		    fd, xstrerror());
-#endif
 	    break;
 	}
 	fd_bytes(DnsSocket, len, FD_READ);
 	(*N)++;
 	debug(78, 3) ("idnsRead: FD %d: received %d bytes from %s.\n",
-	    fd,
-	    len,
-	    inet_ntoa(from.sin_addr));
+	    fd, len, inet_ntoa(from.sin_addr));
 	ns = idnsFromKnownNameserver(&from);
 	if (ns >= 0) {
 	    nameservers[ns].nreplies++;
@@ -550,17 +538,18 @@
 	q = n->data;
 	if (tvSubDsec(q->sent_t, current_time) < 5.0)
 	    break;
-	debug(78, 3) ("idnsCheckQueue: ID %#04x timeout\n",
-	    q->id);
+	debug(78, 3) ("idnsCheckQueue: ID %#04x timeout\n", q->id);
 	p = n->prev;
 	dlinkDelete(&q->lru, &lru_list);
 	if (q->nsends < IDNS_MAX_TRIES) {
 	    idnsSendQuery(q);
 	} else {
 	    int v = cbdataValid(q->callback_data);
-	    debug(78, 1) ("idnsCheckQueue: ID %x: giving up after %d tries and %5.1f seconds\n",
-		(int) q->id, q->nsends,
-		tvSubDsec(q->start_t, current_time));
+	    debug(78, 1)
+
+		
+		("idnsCheckQueue: ID %x: giving up after %d tries and %5.1f seconds\n",
+		(int) q->id, q->nsends, tvSubDsec(q->start_t, current_time));
 	    cbdataUnlock(q->callback_data);
 	    if (v)
 		q->callback(q->callback_data, NULL, 0);
@@ -592,31 +581,21 @@
 {
     static int init = 0;
     if (DnsSocket < 0) {
-	DnsSocket = comm_open(SOCK_DGRAM,
-#ifdef _SQUID_MSWIN_
-	    IPPROTO_UDP,
-#else
-	    0,
-#endif
-	    Config.Addrs.udp_outgoing,
-	    0,
-	    COMM_NONBLOCKING,
-	    "DNS Socket");
+	DnsSocket = comm_open(SOCK_DGRAM, 0,
+	    Config.Addrs.udp_outgoing, 0, COMM_NONBLOCKING, "DNS Socket");
 	if (DnsSocket < 0)
 	    fatal("Could not create a DNS socket");
 	debug(78, 1) ("DNS Socket created on FD %d\n", DnsSocket);
     }
     assert(0 == nns);
     idnsParseNameservers();
-#ifndef _SQUID_MSWIN_
-    if (0 == nns)
-	idnsParseResolvConf();
-#endif
 #if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
     if (0 == nns)
 	idnsParseWIN32Registry();
 #endif
     if (0 == nns)
+	idnsParseResolvConf();
+    if (0 == nns)
 	fatal("Could not find any nameservers.\n"
 #if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
 	    "       Please check your TCP-IP settings or /etc/resolv.conf file\n"
@@ -626,9 +605,7 @@
 	    "       or use the 'dns_nameservers' option in squid.conf.");
     if (!init) {
 	memDataInit(MEM_IDNS_QUERY, "idns_query", sizeof(idns_query), 0);
-	cachemgrRegister("idns",
-	    "Internal DNS Statistics",
-	    idnsStats, 0, 1);
+	cachemgrRegister("idns", "Internal DNS Statistics", idnsStats, 0, 1);
 	memset(RcodeMatrix, '\0', sizeof(RcodeMatrix));
 	init++;
     }
@@ -675,4 +652,4 @@
 }
 
 #endif /* !USE_DNSSERVERS */
-#endif /* !DNS_INTERNAL_C */
\ No newline at end of file
+#endif /* !DNS_INTERNAL_C */
Index: squid/src/dnsserver.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/dnsserver.c,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.3.2.1
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.3.2.1
--- squid/src/dnsserver.c	14 Jun 2001 21:34:24 -0000	1.1.1.3.4.1.2.3
+++ squid/src/dnsserver.c	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.1.2.3.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: dnsserver.c,v 1.1.1.3.4.1.2.3 2001/06/14 21:34:24 serassio Exp $
+ * $Id: dnsserver.c,v 1.1.1.3.4.1.2.3.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 0     DNS Resolver
  * AUTHOR: Harvest Derived
@@ -139,11 +138,9 @@
 #include "util.h"
 #include "snprintf.h"
 
-#if !defined(_SQUID_AIX_)
-#if !defined(_SQUID_MSWIN_)
+#if !defined(_SQUID_AIX_) && !defined(_SQUID_MSWIN_)
 extern int h_errno;
 #endif
-#endif
 
 #if LIBRESOLV_DNS_TTL_HACK
 extern int _dns_ttl_;		/* this is a really *dirty* hack - bne */
@@ -161,8 +158,7 @@
 static struct in_addr no_addr;
 
 #ifdef _SQUID_OS2_
-struct state _res =
-{0};				/* it's not in any of the libraries */
+struct state _res = { 0 };	/* it's not in any of the libraries */
 #endif
 
 /* error messages from gethostbyname() */
@@ -183,20 +179,9 @@
 
 #define REQ_SZ 512
 
-#ifdef _SQUID_MSWIN_
-
-typedef void HLPCB(void *, char *buf);
-
-__declspec (dllexport) int
-DNSLookup(const char *buf, void *data, HLPCB callback)
-{
-static char reply[20*sizeof(buf)],tail[20*sizeof(buf)];
-int charcount;
-#else
 static void
 lookup(const char *buf)
 {
-#endif
     const struct hostent *result = NULL;
     int reverse = 0;
     int ttl = 0;
@@ -204,19 +189,11 @@
     int i;
     struct in_addr addr;
 
-#ifndef _SQUID_MSWIN_
     if (0 == strcmp(buf, "$shutdown"))
 	exit(0);
-#endif
     if (0 == strcmp(buf, "$hello")) {
-#ifdef _SQUID_MSWIN_
-	snprintf(reply,sizeof(reply),"$alive\n");
-	(callback)(data,reply);
-	return 0;
-#else
 	printf("$alive\n");
-    return;
-#endif
+	return;
     }
     /* check if it's already an IP address in text form. */
     for (;;) {
@@ -232,34 +209,16 @@
 	    break;
 	if (++retry == 3)
 	    break;
-#ifdef _SQUID_MSWIN_
-	Sleep(1000);
-#else
 	sleep(1);
-#endif
     }
     if (NULL == result) {
 	if (h_errno == TRY_AGAIN) {
-#ifdef _SQUID_MSWIN_
-	    snprintf(reply,sizeof(reply),"$fail Name Server for domain '%s' is unavailable.\n", buf);
-#else
 	    printf("$fail Name Server for domain '%s' is unavailable.\n", buf);
-#endif
 	} else {
-#ifdef _SQUID_MSWIN_
-	    snprintf(reply,sizeof(reply),"$fail DNS Domain '%s' is invalid: %s.\n",
-#else
 	    printf("$fail DNS Domain '%s' is invalid: %s.\n",
-#endif
 		buf, my_h_msgs(h_errno));
 	}
-#ifdef _SQUID_MSWIN_
-
-	(callback)(data,reply);
-	return 0;
-#else
 	return;
-#endif
     }
 #if LIBRESOLV_DNS_TTL_HACK
     /* DNS TTL handling - bne@CareNet.hu
@@ -269,39 +228,19 @@
 	ttl = _dns_ttl_;
 #endif
     if (reverse) {
-#ifdef _SQUID_MSWIN_
-	snprintf(reply,sizeof(reply),"$name %d %s\n", ttl, result->h_name);
-	(callback)(data,reply);
-	return 0;
-    }
-    snprintf(reply,sizeof(reply),"$addr %d", ttl);
-#else
 	printf("$name %d %s\n", ttl, result->h_name);
 	return;
     }
     printf("$addr %d", ttl);
-#endif
     for (i = 0; NULL != result->h_addr_list[i]; i++) {
 	if (32 == i)
 	    break;
 	xmemcpy(&addr, result->h_addr_list[i], sizeof(addr));
-#ifdef _SQUID_MSWIN_
-	snprintf(tail,sizeof(tail)," %s", inet_ntoa(addr));
-	strcat(reply,tail);
-	(callback)(data,reply);
-	return 0;
-    }
-    snprintf(reply,sizeof(reply),"\n");
-    (callback)(data,reply);
-    return 0;
-#else
 	printf(" %s", inet_ntoa(addr));
     }
     printf("\n");
-#endif
 }
 
-#ifndef _SQUID_MSWIN_
 static void
 usage(void)
 {
@@ -393,6 +332,14 @@
 	}
     }
 
+#ifdef _SQUID_MSWIN_
+    {
+	WSADATA wsaData;
+
+	WSAStartup(2, &wsaData);
+    }
+#endif
+    fflush(stderr);
     for (;;) {
 	memset(request, '\0', REQ_SZ);
 	if (fgets(request, REQ_SZ, stdin) == NULL)
@@ -409,37 +356,3 @@
     /* NOTREACHED */
     return 0;
 }
-
-#else
-
-__declspec (dllexport) int Init()
-{
-    safe_inet_addr("255.255.255.255", &no_addr);
-	return 0;
-}
-
-BOOL APIENTRY
-DllMain (
-	 HINSTANCE hInst /* Library instance handle. */ ,
-	 DWORD reason /* Reason this function is being called. */ ,
-	 LPVOID reserved /* Not used. */ )
-{
-
-	switch (reason)
-    {
-    	case DLL_PROCESS_ATTACH:
-    	  	break;
-
-		case DLL_PROCESS_DETACH:
-			break;
-
-    	case DLL_THREAD_ATTACH:
-      		break;
-
-		case DLL_THREAD_DETACH:
-      		break;
-    }
-  	return TRUE;
-}
-
-#endif
\ No newline at end of file
Index: squid/src/enums.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/enums.h,v
retrieving revision 1.1.1.3.4.2.2.1
retrieving revision 1.1.1.3.4.2.2.1.2.1
diff -u -r1.1.1.3.4.2.2.1 -r1.1.1.3.4.2.2.1.2.1
--- squid/src/enums.h	6 Jan 2001 12:40:13 -0000	1.1.1.3.4.2.2.1
+++ squid/src/enums.h	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.2.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: enums.h,v 1.1.1.3.4.2.2.1 2001/01/06 12:40:13 hno Exp $
+ * $Id: enums.h,v 1.1.1.3.4.2.2.1.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
